com.microfocus.awm.meta.interfaces

## Interface SelectionPropertyMapping

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    SelectionPropertyMappingImpl

      public interface SelectionPropertyMapping
      extends AWMObject

  Maps a specific text selection in the editor to a property.

  The following features are supported:

  - `Keyword`
  - `Mandatory`
  - `Target ID`
  - `Value From`
  See Also:
    `TaurusPackage.getSelectionPropertyMapping()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKeyword()` Returns the value of the 'Keyword' attribute.
    `Property` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `EEditorSelectionType` | `getValueFrom()` Returns the value of the 'Value From' attribute.
    `boolean` | `isMandatory()` Returns the value of the 'Mandatory' attribute.
    `boolean` | `isSetMandatory()` Returns whether the value of the '`Mandatory`' attribute is set.
    `boolean` | `isSetValueFrom()` Returns whether the value of the '`Value From`' attribute is set.
    `void` | `setKeyword(java.lang.String value)` Sets the value of the '`Keyword`' attribute.
    `void` | `setMandatory(boolean value)` Sets the value of the '`Mandatory`' attribute.
    `void` | `setTargetID(Property value)` Sets the value of the '`Target ID`' reference.
    `void` | `setValueFrom(EEditorSelectionType value)` Sets the value of the '`Value From`' attribute.
    `void` | `unsetMandatory()` Unsets the value of the '`Mandatory`' attribute.
    `void` | `unsetValueFrom()` Unsets the value of the '`Value From`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getKeyword

          java.lang.String getKeyword()

      Returns the value of the 'Keyword' attribute.
      The name of the keyword that should be used for the property mapping. The selectable values for this attribute depend on the installed keyword parsers. By default, these are:
      - COBOL – COPYBOOK
      - COBOL – INCLUDE
      - PL1 - INCLUDE
      Only relevant if Value From has the value SelectedKeyword.
      Returns:
        the value of the 'Keyword' attribute.
      See Also:
        `setKeyword(String)`, `TaurusPackage.getSelectionPropertyMapping_Keyword()`

    - #### setKeyword

          void setKeyword(java.lang.String value)

      Sets the value of the '`Keyword`' attribute.
      Parameters:
        `value` - the new value of the 'Keyword' attribute.
      See Also:
        `getKeyword()`

    - #### isMandatory

          boolean isMandatory()

      Returns the value of the 'Mandatory' attribute. The default value is `"true"`.
      If set to `true`, the editor action does not execute if the cursor is not placed on the specified keyword.

      Only relevant if Value From has the value SelectedKeyword.

      Returns:
        the value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `setMandatory(boolean)`, `TaurusPackage.getSelectionPropertyMapping_Mandatory()`

    - #### setMandatory

          void setMandatory(boolean value)

      Sets the value of the '`Mandatory`' attribute.
      Parameters:
        `value` - the new value of the 'Mandatory' attribute.
      See Also:
        `isSetMandatory()`, `unsetMandatory()`, `isMandatory()`

    - #### unsetMandatory

          void unsetMandatory()

      Unsets the value of the '`Mandatory`' attribute.
      See Also:
        `isSetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

    - #### isSetMandatory

          boolean isSetMandatory()

      Returns whether the value of the '`Mandatory`' attribute is set.
      Returns:
        whether the value of the 'Mandatory' attribute is set.
      See Also:
        `unsetMandatory()`, `isMandatory()`, `setMandatory(boolean)`

    - #### getTargetID

          Property getTargetID()

      Returns the value of the 'Target ID' reference. References a property to which the text selection should be mapped.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getSelectionPropertyMapping_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getValueFrom

          EEditorSelectionType getValueFrom()

      Returns the value of the 'Value From' attribute. The literals are from the enumeration `EEditorSelectionType`.
      Specifies which value from the user’s editor selection (or cursor position) should be mapped to the property.
      Valid values include:
      - SelectedText: The selected (marked) text
      - SelectedWord: The selected word (cursor position)
      - SelectedLine: The selected line (cursor position)
      - SelectedKeyword: The selected keyword (cursor position)
      Returns:
        the value of the 'Value From' attribute.
      See Also:
        `EEditorSelectionType`, `isSetValueFrom()`, `unsetValueFrom()`, `setValueFrom(EEditorSelectionType)`, `TaurusPackage.getSelectionPropertyMapping_ValueFrom()`

    - #### setValueFrom

          void setValueFrom(EEditorSelectionType value)

      Sets the value of the '`Value From`' attribute.
      Parameters:
        `value` - the new value of the 'Value From' attribute.
      See Also:
        `EEditorSelectionType`, `isSetValueFrom()`, `unsetValueFrom()`, `getValueFrom()`

    - #### unsetValueFrom

          void unsetValueFrom()

      Unsets the value of the '`Value From`' attribute.
      See Also:
        `isSetValueFrom()`, `getValueFrom()`, `setValueFrom(EEditorSelectionType)`

    - #### isSetValueFrom

          boolean isSetValueFrom()

      Returns whether the value of the '`Value From`' attribute is set.
      Returns:
        whether the value of the 'Value From' attribute is set.
      See Also:
        `unsetValueFrom()`, `getValueFrom()`, `setValueFrom(EEditorSelectionType)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.